---
layout: default
title: GitLab Hackathon
description: "Join the community, hack on GitLab and win prizes!"
canonical_path: "/community/hackathon/"
suppress_header: true
twitter_image: '/images/opengraph/hackathon-generic-card.png'
extra_css:
  - contributing.css
  - styles-2018.css
extra_js:
  - countdown.js
  - hackathon.js
---
-# Schema.org structured data. 
:erb
  <script type="application/ld+json">
  {
  "@context": "https://schema.org",
  "@type": "Hackathon",
  "name": "GitLab Hackathon",
  "description": "Get together with the GitLab community to contribute, learn and win exciting prizes.",
  "organizer" : "GitLab",
  "startDate": "2021-01-06",
  "endDate": "2021-01-07",
  "eventStatus": "https://schema.org/EventScheduled",
  "eventAttendanceMode": "https://schema.org/OnlineEventAttendanceMode",
  "location": {
    "@type": "VirtualLocation",
    "url": "https://about.gitlab.com/community/hackathon/"
  }
  }
  </script>
  
.wrapper
  .simple-hero
    .container
      .row
        .col-md-8.col-md-offset-2.hero-image
          = partial "includes/icons/hackathon-header.svg"

      .row
        %h1 GitLab Hackathon

      .row
        .col-md-6.col-md-offset-3
          :markdown
            Get together with the GitLab community to contribute, learn and win exciting prizes.
            <i class="fab fa-gitlab fa-fw" style="color:rgb(252,109,38); font-size:.85em" aria-hidden="true"></i>
            Join us on January 6th - 7th, 2021!
            <i class="fab fa-gitlab fa-fw" style="color:rgb(252,109,38); font-size:.85em" aria-hidden="true"></i>
            <br/><br/>
            <span class="h3" id="nextHackathonCountdown">
            <i class="fas fa-spinner fa-spin fa-fw" style="color:rgb(255,255,255)); font-size:.85em" aria-hidden="true"></i>
            </span>

  #content
    .wrapper.container.contributing-content{role: "main"}
      .block
        .block-content
          %h2.block-title Joining in
          :markdown
            The Hackathon is a virtual event open to anyone who is interested in contributing code, documentation, translations, UX designs and more to GitLab. Prizes are awarded to participants for having Merge Requests (MRs) merged and there may also be special award categories at each Hackathon.
            
            <figure class="video_container">
            <iframe src="https://www.youtube.com/embed/DMtUciPN-7E" frameborder="0" allowfullscreen="true"> </iframe>
            </figure> 


            To get started:

            1. Block the dates on your calendar!
            1. Check out the [Contribute page](https://about.gitlab.com/contributing/).
            1. Checkout the list of [suggested issues](https://gitlab.com/gitlab-com/marketing/community-relations/contributor-program/hackathon/-/issues/44) for this Hackathon.
            1. If you have decided to work on an issue, it helps if you leave a comment. That way it's less likely for multiple people to be working on the same issue.
            1. [Join the tutorial sessions](#sessions)
            1. Share the MRs you are working on, get help or help others. [Join the party at the contributors channel](#getting-help).
            

            <p class="alert alert-gitlab-purple text-center"> 
            <span class="h3" id="hackathonMRCount"> 
            <i class="fas fa-spinner fa-spin fa-fw" style="color:rgb(107,79,187); font-size:.85em" aria-hidden="true"></i> 
            </span> 
            </p>  
            
            
      .block
        .block-content
          %h2#contribute-for-prize.block-title
            %a{ href: '#prize' } Hackathon Prizes

          %p
          :markdown
            We are excited to offer the following categories of prizes for this Hackathon:
            
          %p
          :markdown
            <p class="alert alert-info">
            <i class="fas fa-info-circle" aria-hidden="true" style="color: rgb(49, 112, 143);"></i>
            All qualifying MRs must be submitted on January 6th & 7th in your local timezone and be <em>merged</em> by
            <a href="https://www.timeanddate.com/worldclock/fixedtime.html?iso=20210115T23&p1=%3A">January 15th at 23:00 UTC</a>.
            </p>
            

            | Categories | Eligibility | Prizes  | Description  |
            |------------|-------------|---------|--------------|
            | Grand Prize | Individual(s) with the most MRs merged | ![Grand prize](/images/community/hackathon/GitLab_Shop.png) | $100 to spend at <a href="https://shop.gitlab.com">the GitLab store</a> |
            | Second Place | Individual(s) with the second most MRs merged | ![Second prize](/images/community/hackathon/duffle-bag.png) | Duffle Bag |
            | Merged MR | Everyone with an MR merged | ![Merged MRs](/images/community/hackathon/laptop-sleeve.png) | Laptop sleeve | 

          %p
          :markdown
            <p class="alert alert-info">
            <i class="fas fa-info-circle" aria-hidden="true" style="color: rgb(49, 112, 143);"></i>
            All qualifying MRs must be submitted on January 6th & 7th in your local timezone and be <em>merged</em> by
            <a href="https://www.timeanddate.com/worldclock/fixedtime.html?iso=20210115T23&p1=%3A">January 15th at 23:00 UTC</a>.
            </p>

      .block
        .block-content
          %h2#sessions.block-title
            %a{ href: '#sessions' } Tutorial sessions
          :markdown
            Tutorial sessions during the Hackathon help you get kickstarted with contributing and to learn more about GitLab development. More sessions/speakers may be added as they are confirmed.

          %p

          %table.table
            %thead
              %tr
                %th
                  Date
                %th
                  Time in
                  = link_to "UTC", "https://en.wikipedia.org/wiki/Coordinated_Universal_Time"
                  %br
                  (click for local time)
                %th
                  Topic
                %th
                  Session
                %th
                  Speakers

            %tbody
              %tr
                %td
                  January 6th
                %td
                  = link_to "09:00 - 09:45", "https://www.timeanddate.com/worldclock/fixedtime.html?msg=Hackathon+kickoff&iso=20210106T09&p1=1440&am=45"
                %td
                  Hackathon Kickoff
                %td
                  = link_to "Zoom link", "https://gitlab.zoom.us/j/97612073652?pwd=Nzl3R1ZIZnhKVS9aYWZjUUhtWWh2dz09"
                  -# <iframe src="https://www.youtube.com/embed/DMtUciPN-7E" frameborder="0" allowfullscreen="true"> </iframe>
                  -# = link_to "Presentation", ""
                %td
                  = link_to "Christos Bacharakis (@cbacharakis),", "https://gitlab.com/cbacharakis"
                  = link_to "Dave Planella (@dplanella),", "https://gitlab.com/dplanella"
                  = link_to "Core Team", "https://about.gitlab.com/community/core-team/"
              %tr
                %td
                  January 6th
                %td
                  = link_to "14:00 - 14:50", "https://www.timeanddate.com/worldclock/fixedtime.html?iso=20210106T14&p1=1440&am=50"
                %td
                  Runner office hour
                  = link_to "(Runner office hour issue)", "https://gitlab.com/gitlab-org/gitlab-runner/-/issues/27295"
                %td
                  = link_to "Zoom link", "https://gitlab.zoom.us/j/92209800531?pwd=bW9uSjFuK1hFd1lKTDVWM29tTnV0dz09"
                  -# <iframe src="https://www.youtube.com/embed/D0egEQYOwKo" frameborder="0" allowfullscreen="true"> </iframe>
                  -# = link_to "Presentation", "https://docs.google.com/presentation/d/1d3QAgvX6gaDftVIiD3FpNpzyMRq7F4wbGz9HzHufgfw/edit#slide=id.g2823c3f9ca_0_9"
                %td
                  = link_to "Darren Eastman (@DarrenEastman),", "https://gitlab.com/DarrenEastman"
                  = link_to "Eliott Rushton (@erushton),", "https://gitlab.com/erushton"
                  = link_to "Steve Azzopardi (@steveazz),", "https://gitlab.com/steveazz"
                  = link_to "Tomasz Maczukin (@tmaczukin)", "https://gitlab.com/tmaczukin"
              %tr
                %td
                  January 6th
                %td
                  = link_to "16:00 - 16:50", "https://www.timeanddate.com/worldclock/fixedtime.html?msg=Package+office+hour&iso=20210106T16&p1=1440&am=50"
                %td
                  Package group office hour
                  = link_to "(Package office hour issue)", "https://gitlab.com/gitlab-org/gitlab/-/issues/295207"
                %td
                  = link_to "Zoom link", "https://gitlab.zoom.us/j/98238508467?pwd=b2JqKzFiN2l4MFE4Z3J5UWxlMTI2Zz09"
                  -# <iframe src="https://www.youtube.com/embed/HX5h55JHOAE" frameborder="0" allowfullscreen="true"> </iframe>
                  -# = link_to "Presentation", "https://docs.google.com/presentation/d/1HiCn6WifmbyOm6oH-2tN_mdFe4paUKOQ_mUqf1ubCXI/"
                %td
                  = link_to "Tim Rizzi (@trizzi)", "https://gitlab.com/trizzi"
              %tr
                %td
                  January 6th
                %td
                  = link_to "17:00 - 17:30", "https://www.timeanddate.com/worldclock/fixedtime.html?iso=20210106T17&p1=1440&am=30"
                %td
                  Migrating GitLab Pajamas components 
                  = link_to "(Pajamas components migration issue)", "https://gitlab.com/gitlab-org/gitlab-design/-/issues/1445"
                %td
                  = link_to "Zoom link", "https://gitlab.zoom.us/j/94882257194?pwd=cDVRWUE5bGtQMmlQaXNxcXVvc1VwQT09"
                  -# <iframe src="https://www.youtube.com/embed/cbZADXJh8fg" frameborder="0" allowfullscreen="true"> </iframe>
                  -# = link_to "Presentation", "https://docs.google.com/presentation/d/1M1rtkuolMyWLMdNvcmDQjbRWFTYZY6cQ-7cHK8uEkxk/"
                %td
                  = link_to "Jeremy Elder (@jeldergl),", "https://gitlab.com/jeldergl"
                  = link_to "Sam Beckham (@samdbeckham)", "https://gitlab.com/samdbeckham"                  
              -# %tr
                %td
                  January 6th
                %td
                  = link_to "18:00 - 18:30", "https://www.timeanddate.com/worldclock/fixedtime.html?iso=20210106T18&p1=1440&am=30"
                %td
                  Release Management tutorial 
                %td
                  -# = link_to "Zoom link", "https://gitlab.zoom.us/j/97000203417?pwd=RWllTTVYUnpsMFVZdmVLR3BuaVRBZz09"
                  <iframe src="https://www.youtube.com/embed/BBQN7VupRpc" frameborder="0" allowfullscreen="true"> </iframe>
                  -# = link_to "Presentation", "https://docs.google.com/presentation/d/1JVAbo0uClRjlef2e55g3b3eDpmi5Ov2LJiRFlJQx1QU/"
                %td
                  = link_to "Jackie Porter (@jreporter)", "https://gitlab.com/jreporter"                      
              %tr
                %td
                  January 7th
                %td
                  = link_to "22:00 - 22:30", "https://www.timeanddate.com/worldclock/fixedtime.html?msg=Hackathon+wrap-up&iso=20210107T22&p1=1440&am=30"
                %td
                  Hackathon wrap-up 
                %td
                  = link_to "Zoom link", "https://gitlab.zoom.us/j/93635042902?pwd=RnQrNVRrTENIRE95VWFjaThrTmRKZz09"
                  -# <iframe src="https://www.youtube.com/embed/a1WFRERoEPM" frameborder="0" allowfullscreen="true"> </iframe>
                  -# = link_to "Presentation", "https://docs.google.com/presentation/d/1cQ3rAD58gbc5kTA1KYPtCzE3Toz0IGYnUftUGvVENJ4/"
                %td
                  = link_to "Christos Bacharakis (@cbacharakis)", "https://gitlab.com/cbacharakis"
                  
          %p
          :markdown
            <p class="alert alert-info">
            <i class="fas fa-info-circle" aria-hidden="true" style="color: rgb(49, 112, 143);"></i>
            If you miss any of the sessions, you will find the recordings in the
            <a href="https://www.youtube.com/playlist?list=PLFGfElNsQthapq-CyXBTVnT2yKqg1JrNh">Hackathon Playlist</a>.
            </p>

          %h3#getting-help.block-title
            %a{ href: '#getting-help' } Getting help
          %p
          :markdown
            For communications during the Hackathon, we will use the GitLab Contributors room in Gitter. This is a channel for community-related discussions and for community members to help each other as people have questions when contributing to GitLab.

            It's open to everyone, so please [join us at the Contributors Gitter room](https://gitter.im/gitlabhq/contributors)!

      .block
        .block-content
          %h2#community-challenge.block-title
            %a{ href: '#community-challenge' } Missed the last Hackathon?
          :markdown
            If you missed the previous Hackathon, you still have an opportunity to contribute for a prize.  You can start by searching for priority issues with the label `Community challenge` as you can see in this [query](https://gitlab.com/gitlab-org/gitlab/-/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=Community%20challenge).  For the next several months, anyone who works on these issues and have an MR merged will receive a GitLab-branded cannister for your coffee beans or tea leaves (photo below). 

          %p

          .row
            %p
          .row.contributeforprize
            .col-sm-4
              .prize-image
                = image_tag "/images/community/hackathon/Challenge-canister.png", class: "img-responsive"
          %p

      .block
        .block-content
          %h2#past-events.block-title
            %a{ href: '#past-events' } Past events

          %p
            To learn more about previous Hackathon events, visit the
            %a{href: "https://about.gitlab.com/community/hackathon/past-events/"} past GitLab Hackathons page.

      .block
        .block-content
          #hackathon-q-a.animated
            %h2#faq.block-title
              %a{ href: '#faq' } Frequently Asked Questions
            .faq-holder.clearfix
              %ol.faq-container.list-unstyled
                %li.faq-item
                  .faq-inner-item
                    %a.faq-question.js-faq-question
                      Which GitLab projects qualify for the Hackathon?
                      %i.fa.fa-angle-down.pull-right
                    .faq-answer
                      :markdown
                        While we generally encourage contribution to the [GitLab](https://gitlab.com/gitlab-org/gitlab) project, MRs for any project under the
                        [`gitlab-org` group](https://gitlab.com/gitlab-org), [Meltano](https://gitlab.com/meltano/meltano), and [www-gitlab-com](https://gitlab.com/gitlab-com/www-gitlab-com) qualify for the Hackathon. If you are in doubt about a project which is not on this list, please do ask us on the [Contributors Gitter channel](https://gitter.im/gitlabhq/contributors).

              %ol.faq-container.list-unstyled
                %li.faq-item
                  .faq-inner-item
                    %a.faq-question.js-faq-question
                      What are the key dates for the current Hackathon?
                      %i.fa.fa-angle-down.pull-right
                    .faq-answer
                      :markdown
                        - January 6th & 7th (in your local timezone): all MRs must be submitted
                        - [January 6 06:00 UTC](https://www.timeanddate.com/worldclock/fixedtime.html?msg=Hackathon+kickoff&iso=20210106T06&p1=1440&am=45): Hackathon kickoff session
                        - [January 7 22:00 UTC](https://www.timeanddate.com/worldclock/fixedtime.html?msg=Hackathon+wrap-up&iso=20210106T22&p1=1440&am=30): Hackathon wrap-up session
                        - [January 15 23:00 UTC](https://www.timeanddate.com/worldclock/fixedtime.html?iso=20210115T23&p1=%3A): all qualifying MRs must have been _merged_
